PHP Version

Hi, sorry I'm totally new to this and I'm having problems with the install of version 3.3. I set up a hosting account with Bluehost (using PHP 7.2.7) and I'm getting an error on install that says Vanilla requires PHP 7.1 or greater. I'm sure it's something really obvious, but not to me :)

Thanks!

Comments

  • hi @skatedebate After changing PHP verision try to clear caсhe. And have a look at your .htaccess - it says 'AddHandler application/x-httpd-ea-php72' or 'alt-php72'? If alt-php72, try to ask your provider to install ea-php72 or ea-php73 (alt-php72 may not work).

    skatedebate
  • Here's how to check your PHP version


    Open a text or code editor. You can use Notepad or TextEdit. Don't use a word processor such as Microsoft Word.

    Enter the following code:

    <?php
    echo 'Current PHP version: ' . phpversion();
    ?>
    

    Save the file as a PHP file. Click "File" → "Save as" and then give the file a name. Add the .php extension to the end of the file name. Name it something simple, like version.php.

    Upload the file(s) to your web server. You may have to use an FTP client, or you may be able to upload through your server's admin control panel. Place the file(s) in the root directory of your web server.

    Open the file in your web browser. Once the file has been uploaded to the server, you can use your browser to load the file. Navigate to the location of the file on your server. For example, if you placed it in the root directory of your domain, you would visit www.yourdomain.com/version.php

    skatedebate
  • If you want more detailed info use this code instead

    <?php
    phpinfo();
    ?>
    


  • Hey, thank you both for your replies.

    It turns out that I actually was using 7.0 (I guess I was looking at the wrong thing). I contacted my host and asked them to upgrade me to 7.1. They did, but the only difference now when I try to install is that I get a HTTP 500 error.

    I did close my browser, cleared my cache, cookies etc. I also tried Chrome instead of Safari (Chrome gave me the error details, where Safari was just giving me a blank page). Any more ideas?

  • 500 is a server error, nothing to do with your browser. Try looking in your servers error logs or ask your host.

    skatedebate
  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    @skatedebate Your hoster is real bad if they let you run PHP 7.0. And that they have updated you to 7.1 is not even better. Both PHP versions are out of support and must be considered as insecure.

    If you want to stay with those guys, ask them to update to PHP 7.4. I guess the error 500 comes from missing PHP extensions. You need

    pdo, pdo_mysql, mysqlnd, curl, gd, mbstring, intl


  • When do you get the 500 error. when you try to install or after you install and its finished? If after my guess is that the .htaccess is doing its mod_rewrite thing and if the module is not loaded in Apache it will 500 error out. Ask your hosting provider if mod_rewrite is loaded on Apache. They will know what you are asking them

  • It can take up to 1,000 tries for the hosting company in question to get you to the correct PHP version. And trust me, the version switch within their cPanel is quite useless. Good luck! That was one of the major reasons for us to stay clear from the Endurance International Group (EIG) ; they own your hosting company and a gazillion others.

    R_J
Sign In or Register to comment.